ISPmanager support

Navigation:  PHP Selector > Installation >

ISPmanager support

Previous pageReturn to chapter overviewNext page

As of July 2013, PHP Selector support for ISPmanager is limited to command line utilities. You should still be able to use it.

 

As always, PHP Selector requires CGI, FCGI or suPHP to work.

 

You will need to do following modifications:

 

Create new file /usr/local/bin/php-cgi-etc

 

#!/bin/bash
/usr/bin/php-cgi -c /etc/php.ini "$@"

 

Make that file executable:

 

$ chmod +x /usr/local/bin/php-cgi-etc

 

Edit file /usr/local/ispmgr/etc/ispmgr.conf

 

Add line:

 

path phpcgibinary /usr/local/bin/php-cgi-etc

 

Make sure there is no other lines with path phpcgibinary defined in the file.

 

Restart ISPmanager:

 

$ killall ispmgr

 

After that FCGID wrappers (/var/www/[USER]/data/php-bin/php) for new users will be like this:

 

#!/usr/local/bin/php-cgi-etc

 

You might need to edit/modify wrappers for existing users if you want them to be able to use PHP Selector. You can leave them as is for users that don't need such functionality.